/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.manytomany;



/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.2.4 $
 */
public interface EntityTest
{
   Customer oneToManyCreate() throws Exception;

   Customer findCustomerById(Long id) throws Exception;

   Flight manyToOneCreate() throws Exception;

   Flight findFlightById(Long id) throws Exception;

   Company findCompanyById(Integer id) throws Exception;

   void manyToManyCreate() throws Exception;
}
